~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
18 января 2004: Friendly Chat 4.6.1
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

+ Added: Подцветка соединенных и старых собеседников в настройках.

* Fixed: Баг с плагинами.
* Fixed: Диалог настройки панели управления не был переведен.
* Fixed: Заменена горячая клавиша для "Поверх всех" (F4), 
         т.к. иногда случайно срабатывала и чат не исчезал.
* Fixed: Общие сообщения в конференциях (не в приватах) не шифровались.         
* Fixed: Проблема при смене псевдонима внешним пакетом.
* Fixed: Внешние команды FTP и HTTP ссылались на IE,
         теперь на браузер по умолчанию.
         Выберите "Настройка|Интерфейс|Внешние команды|Сбросить все" для применения.
* Fixed: Чат падал, если зайти в настройки собеседников, нажать ОК,
         снова зайти и закрыть чат через трей.         
* Fixed: Галочка "Настройка|Собеседники|Выделить старых|Автоматически удалять"
         не сохранялась и автоматически включалась после второго запуска,
         что влекло автоматическое удаление старых собеседников.
* Fixed: После удаления собеседника курсор в списке переходил в начало.
* Fixed: Перестала работать замена сетевых путей для расшаренных каталогов.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
16 января 2004: Friendly Chat 4.6
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

+ Added: "Настройка|Интерфейс|Запуск|Вызвать всех повторно через N секунд после запуска".
+ Added: Звуковые файлы заменены на 16-битные.
+ Added: Поддержка FViewer'а, а не только FPinger'а.
+ Added: Меню "FSoft|FWatcher..."
+ Added: "Настройка|Интерфейс|Внешние команды".
+ Added: Отображение доставки звукового сигнала.
+ Added: Автоматическое добавление в список собеседников самого себя при создании дистрибутива
         и автоматическое удаление из списка собеседников самого себя 
         при первом запуске после установки дистрибутива.
+ Added: Копирование в редактор из окна сообщений по Enter.         
+ Added: Разбиение смайлов на группы (поддержка под-каталогов в каталоге Smileys).
         Для простоты путь до смайлов не пишется,
         поэтому имена смайлов должны быть уникальны во всех каталогах.
+ Added: Меню "Связь|Переинициализация" - рассоединение со всеми, 
         переинициализация сетевых соединений и вызов всех.
         Полезно после выхода из Hibernate или при смене на ходу IP адреса.
+ Added: Интерфейс для создания плагинов (Plugins\Plugin.pas).
         Пока что самое основное - обработка сообщений с возможностью отправления ответа.
         Интерфейс для создания плагинов будет расширяться по мере того, 
         как будет известно, кто какие плагины хочет создавать. Обращайтесь, ждём.

* Fixed: Шрифты собеседников сбрасывались, если совпадали со шрифтом по умолчанию.
* Fixed: Скрытие окна со смайлами при щелчке по иконке в трее.
* Fixed: Проблемы с галочкой "по умолчанию" в настройках собеседников.
* Fixed: Проблема при проигрывании звуковых файлов на некотором оборудовании.
* Fixed: Проблема в фильтрах: собеседник запрещался если указан его IP и не запрещался,
         если дополнительно указано имя.
* Fixed: Ошибка с преобразованием символа '|' в журналах.
* Fixed: Открытие пустого авто-привата, если сообщение было отброшено фильтром.
* Fixed: Проблема с отображением спец. символов подсказке автоответчика.
* Fixed: Проблема в подсказках при отображении символа '|' в псевдонимах.
* Fixed: Не подставлялся сетевой путь при вставке файла, если расшарен весь диск.
* Fixed: В журналах не прорисовывались два или более смайликов подряд.
* Fixed: Не работало отключение опции "Показывать иконки в меню".
* Fixed: После отзыва сообщения в остальных конференциях тоже исчезала эта возможность.
* Fixed: Проблемы в "Настройка|Панель управления".
* Fixed: По умолчанию устанавливался мужской пол собеседника (теперь "неизвестный").
* Fixed: Комбинация Ctrl+Backspase (смена раскладки) отсутствовала в справке.
* Fixed: Не распознавались ссылки "news://"

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
24 апреля 2004: Friendly Chat 4.5.8
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

* Fixed: Баг с отрисовкой списка собеседников.
         Возникал после входа в настройки собеседников и нажатия "Отмена".

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
20 апреля 2004: Friendly Chat 4.5.7
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

Исправлены практически все критические ошибки (см. ниже).
Если еще остались - пишите.

+ Added: Компонент загрузки смайликов (RxGifImage) заменен своим.
         Скорость разбора gif-файлов увеличилась примерно в 20 раз.
         Диалог выбора смайлов теперь практически не тормозит.
         
+ Added: Панель управления заменена на стандартную.
         Минусы - исчезли схемы :-(
                - нельзя таскать.
         Плюсы  - ускорилась отрисовка;
                - исчезло мелькание при изменении размеров чата;
                - ускорилась загрузка;
                - упростилась логика;
                - уменьшился размер дистрибутива и exe-файла;
                - экономия памяти и процессорного времени.

+ Added: Предыдущие 2 пункта позволили отказаться от компонентов RxLib,
         т.е. пройден еще один этап на пути к компиляции под Kylix (Linux).
         Заодно немного уменьшился размер exe файла, 
         плюс небольшая экономия памяти.
         
+ Added: FChat снова поддерживает Windows 95 (некоторым еще нужно).
         Достаточно скачать два обновления от Microsoft:
         * WinSock 2.0: http://www.kilievich.com/W95ws2setup.exe (980 Kb)
         * Common Controls 5.0: http://www.kilievich.com/50ComUpd.exe (500 Kb)
         Скачиваете, устанавливаете в любой последовательности, 
         перезагружаетесь, запускаете FChat.
         
* Fixed: Баг с прозрачным цветом на некоторых смайликах.

* Fixed: Ошибка во время амимации смайликов, после выхода из настроек.

* Fixed: Ошибка при нажатии "Применить" в настройках смайликов.

* Fixed: Ошибка при работе со смайликами и включенной полупрозрачности.

* Fixed: Cообщения иногда не доходили при открытии нескольких приватов.

* Fixed: Жирный шрифт некоторых надписей в диалогах настроек под Windows XP/2003.

* Fixed: Неверные цвета некоторых панелей в диалоге настройки интерфейса под Windows XP/2003.

* Fixed: Мелькание окон сообщений при переключении между конференциями.

* Fixed: Мелькание панели управления при изменении размеров чата.

* Fixed: Чат подвисал на некоторое время после щелчков по неправильным ссылкам.

* Fixed: Исчезла кнопочка для быстрой смены ников.

* Fixed: Если автоответчик заканчивался на ссылку, 
         то она неверно отображалась в окне сообщений.

* Fixed: Если комбинацию клавиш для запуска чата поставить на "Нет" и нажать "ОК", 
         то появлялось окно "Комбинация уже используется."
         
* Fixed: После вызова "Настройка|Собеседники..." и нажатия "Отмена", вызывались все собеседники.

* Fixed: Некоторые проблемы при открытии собеседников в Total Commander.

* Fixed: Надпись "Всем" была серой независимо от цветов оформления.

* Fixed: Баг с подчеркиванием первого слова.

* Fixed: Баг, время было не видно в log-файлах при черном фоне окна сообщений.

* Fixed: Некоторые мелкие баги.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
8 декабря 2003: Friendly Chat 4.5.6
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

+ Added: "Create shortcut in Quick Launch panel" в процессе инсталляции.

+ Added: Обновлен украинский язык интерфейса (by Yura Talimonchik).

* Fixed: Фатальная ошибка после настроек интерфейса,
         если в окне сообщений были смайлики.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
3 декабря 2003: Friendly Chat 4.5.5
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

* Fixed: Баг, в окне для выбора смайликов тормозила анимация.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
2 декабря 2003: Friendly Chat 4.5.4
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

+ Added: "Настройка|Интерфейс|Редактор|Подтверждать отправление всем".

+ Added: "Настройка|Интерфейс|Редактор|Подтверждать отправление в не-приватах".

+ Added: Двухуровневая анти-флудовская защита.
         (На уровне приема и на уровне разбора сообщений)

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
1 декабря 2003: Friendly Chat 4.5.3
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

* Fixed: Баг, когда смайлик заканчивался на много скобок.

+ Added: Теперь допускается две повторяющихся строки в сообщении
         (обычно для цитирования стихов).
         Раньше в сообщениях удалялись все повторяющиеся строки.

+ Added: Пустые строки в сообщениях теперь отображаются
         (для увеличения читабельности больших текстов).

* Fixed: Баг, иногда после некоторых системных сообщений проигрывался  
         системный звук Windows. 
         
+ Added: Теперь в качестве фонового рисунка можно выбирать jpeg, gif и т.д.
         Раньше можно было только bmp.
         
* Fixed: При создании дистрибутива не сохранялся шрифт почтового оповещения.

* Fixed: При создании дистрибутива не сохранялись настройки 
         проверки связи и подтверждения сообщений 
         
+ Added: Перед открытием собеседника в привате
         с него снимается выделение в основной конференции.         
         
* Fixed: При почтовом оповещении размер ящика не показывался.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
29 ноября 2003: Friendly Chat 4.5.2
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

Версия посвещена экономии трафика:

+ Added: Раздел в помощи: "Помощь|Настройка чата|Проблема трафика".

+ Added: Автоматическое удаление старых собеседников.
         "Настройка|Собеседники|Выделить старых".
         Удаляйте старых собеседников, ведь вызов 200 человек 
         при запуске может занять длительное время (плюс трафик).
         Даже если собеседник в отпуске, когда вернется, он сам Вас вызовет.
         Значительная экономия трафика при запуске чата.
         
+ Added: Уменьшение размеров сообщений для проверки соединений
         до трех байт, не считая протокольного заголовка.
         Мало-значительная экономия трафика.
         
* Fixed: По умолчанию подтверждение общих сообщений выключено,
         а подтверждение всё равно шло. Исправлено.
         Мало-значительная экономия трафика.
         
+ Added: Теперь связь до FChat-собеседника не проверяется, 
         если он присутствует на IRC. 
         Супер-значительная экономия трафика.
         
+ Added: Период проверки связи увеличивается в 5 раз,
         когда чат минимизирован.
         Значительная экономия трафика.
         
+ Added: Период проверки связи теперь задается в минутах.
         Т.е. теперь нельзя выбрать меньше минуты.
         Значительная экономия трафика.
         
+ Added: Теперь проверка связи происходит только до собеседников которые 
         в чате или до которых оборвалась связь ("собеседник не отвечает").
         Раньше было до тех кто в чате или был в чате в текущем сеансе.
         Значительная экономия трафика.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
20 ноября 2003: Friendly Chat 4.5
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
         
+ Added: Анимация смайликов в настройках интерфейса.

+ Added: Теперь смайлики грузятся по мере необходимости.
         
+ Added: Новая панель для выбора смайлика.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
21 сентября 2003: Friendly Chat 4.4.2
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

+ Added: Украинский язык интерфейса.
         Особые благодарности Yura Talimonchik.

+ Added: Поддержка неограниченного количества смайликов. 
         См. "Настройка|Интерфейс|Смайлики".
 
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
14 июля 2003: Friendly Chat 4.4
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

+ Added: "Настройки|Фильтры..."
+ Added: "Настройки|Создать дистрибутив..."
+ Added: щелчок правой кнопкой мыши по пользователю - Открыть в FAR'е.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
14 июня 2003: Friendly Chat 4.3
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 
+ Added: поддержка Total Commander.
+ Added: анимированные смайлики.
+ Added: фоновая картинка для окна сообщений.
+ Added: подсветка гиперссылок.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
20 февраля 2003: Friendly Chat 4.1
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

+ Added: поддержка IRC.
+ Added: профессиональный интерфейс.
+ Added: новая документация.
+ Added: новый сайт для продукта.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
1999-2002: Friendly Chat 3.x
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

+ Added: новое название (старое совпало с чужим продуктом).
+ Added: значительно улучшенный интерфейс.
+ Added: документация.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
1997-1998: Easy Chat 2.x
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

+ Added: новое название.
+ Added: поддержка неограниченного числа собеседников.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
1996-1997: Super Chat 1.х
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

+ Added: поддержка обмена сообщениями между двумя пользователями.
